﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Collections;

namespace DataChartAnnotations
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class TestData
         : ObservableCollection<TestDataItem>
    {
        public TestData()
        {
            Add(new TestDataItem() { Label = "1", Value = 1 });
            Add(new TestDataItem() { Label = "2", Value = 2 });
            Add(new TestDataItem() { Label = "3", Value = 3 });
            Add(new TestDataItem() { Label = "4", Value = 4 });
            Add(new TestDataItem() { Label = "5", Value = 5 });
            Add(new TestDataItem() { Label = "6", Value = 6 });
            Add(new TestDataItem() { Label = "7", Value = 7 });

            for (int i = 8; i < 500; i++)
            {
                Add(new TestDataItem() { Label = i.ToString(), Value = new Random().Next()*this.Count() });
            }
        }
    }

    public class TestDataItem
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}